Skip to main content
POST
/
reporting
/
calls
List call activity
curl --request POST \
  --url https://api.reply.io/v3/reporting/calls \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "filters": {
    "from": "2026-01-01T00:00:00Z",
    "to": "2026-03-01T00:00:00Z",
    "dateRangePreset": "LastWeek",
    "teamIds": [
      123
    ],
    "userIds": [
      123
    ],
    "contactListIds": [
      123
    ],
    "emailValidationStatuses": [
      "RequiresValidation"
    ],
    "companies": [
      "<string>"
    ],
    "companySizes": [
      "Empty"
    ],
    "industries": [
      "<string>"
    ],
    "cities": [
      "<string>"
    ],
    "states": [
      "<string>"
    ],
    "countries": [
      "<string>"
    ],
    "titles": [
      "<string>"
    ],
    "sequenceIds": [
      123
    ],
    "includeOutOfSequence": false,
    "emailProviders": [
      "None"
    ],
    "callResolutions": [
      "Positive"
    ],
    "callDispositions": [
      "Answered"
    ],
    "callTypes": [
      "Outbound"
    ]
  }
}
'
{
  "data": [
    {
      "id": "<string>",
      "userId": 123,
      "userFullName": "<string>",
      "contactId": 123,
      "contactFullName": "<string>",
      "contactPhoneNumber": "<string>",
      "startDate": "2023-11-07T05:31:56Z",
      "durationSeconds": 123,
      "resolution": "Positive",
      "disposition": "Answered",
      "type": "Outbound",
      "callRecordUrl": "<string>",
      "customResolution": "<string>"
    }
  ],
  "iterationInfo": {
    "hasMore": true
  }
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Query Parameters

top
integer

Number of records to return (page size)

Required range: x >= 1
skip
integer

Number of records to skip

Required range: x >= 0

Body

application/json
filters
Calls Reporting Filters · object
required

Filters specific to call reporting endpoints

Response

Calls list retrieved successfully

data
Call List Item · object[]
iterationInfo
Iteration Info · object

Metadata about iterated resource